Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Contact.Capabilitystatus

    java.lang.Object
      java.lang.Enum<Contact.Capabilitystatus>
          com.skype.api.Contact.Capabilitystatus

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Contact.Capabilitystatus>

Enclosing class:
  Contact

    public static enum Contact.Capabilitystatus

extends java.lang.Enum<Contact.Capabilitystatus>
implements EnumConverting

List of possible states of each of the Contact class CAPABILITY items.

Enum Constant Summary
`CAPABILITY_EXISTS` Contact has the capability
`CAPABILITY_MIXED` Contact has occasionally logged in with Skype client that supports the capability.
`NO_CAPABILITY` Contact does not have the capability

Field Summary
`static int` | `CAPABILITY_EXISTS_VALUE`
`static int` | `CAPABILITY_MIXED_VALUE`
`static int` | `NO_CAPABILITY_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Contact.Capabilitystatus` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Contact.Capabilitystatus` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Contact.Capabilitystatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NO_CAPABILITY

    public static final Contact.Capabilitystatus NO_CAPABILITY

  Contact does not have the capability

### CAPABILITY_MIXED

    public static final Contact.Capabilitystatus CAPABILITY_MIXED

  Contact has occasionally logged in with Skype client that supports the capability. For example, a contact may have Skype client on several machines, only some of which have webcam - in which case CAPABILITY_VIDEO would have its value set as CAPABILITY_MIXED.

### CAPABILITY_EXISTS

    public static final Contact.Capabilitystatus CAPABILITY_EXISTS

  Contact has the capability

Field Detail

### NO_CAPABILITY_VALUE

    public static final int NO_CAPABILITY_VALUE

See Also:
  Constant Field Values

### CAPABILITY_MIXED_VALUE

    public static final int CAPABILITY_MIXED_VALUE

See Also:
  Constant Field Values

### CAPABILITY_EXISTS_VALUE

    public static final int CAPABILITY_EXISTS_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Contact.Capabilitystatus[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Contact.Capabilitystatus c : Contact.Capabilitystatus.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Contact.Capabilitystatus valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Contact.Capabilitystatus get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.